<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../formatos/formato.php");



require_once ("cDevolucioncliente.php");

$oDevolucioncliente = new cDevolucioncliente();

require_once ("../producto/cCatalogo.php");

$oCatalogo = new cCatalogo();



if($_POST['action']=='agregar') 

{

	if($_POST['catid']>0 && $_POST['can']>0)

	{

		if($_POST['can']>$_POST['canc']){

			$data['est'] = 1;

			$data['tipo'] = 'cat_can';

		}else{

			

		//echo $_POST['idm'].'-'.$_POST['catid'].'-'.$_POST['marid'];	

		

		//echo $_POST['idm'].'-'.$_POST['catid'].'-'.$_POST['marid'];

		

		$dts1 = $oDevolucioncliente->validardevolucion_detalles($_POST['idm'],$_POST['catid'],$_POST['marid']);

		$numrows = mysqli_num_rows($dts1);

		

		if($numrows>0){

			while($dt = mysqli_fetch_array($dts1)){

				$cantot += $dt['tb_kardexdetalle_can'];				

			}

			$canfaltante  = $_POST['canc'] - $cantot;

			

			if($_POST['can']>$canfaltante){

				

				$data['est'] = 3;

				$dts1=$oCatalogo->mostrarUno($_POST['catid'],$_POST['marid']);

				$dt1 = mysqli_fetch_array($dts1);



				$data['msj'] = 'SOLO FALTA DEVOLVER '.$canfaltante.' '.$dt1['tb_producto_nom'].' | '.$dt1['tb_marca_nom'].', YA EXISTE DEVOLUCIONES DEL MISMO PRODUCTO EN EL MISMO DOCUMENTO';

			}else{

				$_SESSION['devol_car'][$_POST['catid'].$_POST['marid']]=$_POST['can'];

				$_SESSION['devol_nom'][$_POST['catid'].$_POST['marid']]=$_POST['nom'];

				$_SESSION['devol_icbper'][$_POST['catid'].$_POST['marid']]=$_POST['icbper'];

				$_SESSION['devol_catid'][$_POST['catid'].$_POST['marid']]=$_POST['catid'];

				$_SESSION['devol_marid'][$_POST['catid'].$_POST['marid']]=$_POST['marid'];

				$_SESSION['devol_preuni'][$_POST['catid'].$_POST['marid']] = moneda_mysql($_POST['preuni']);

				$data['est'] = 2;

				$data['tipo'] = 'agregado';

			}

			

			

		}else{

			

			$_SESSION['devol_car'][$_POST['catid'].$_POST['marid']]=$_POST['can'];

			$_SESSION['devol_nom'][$_POST['catid'].$_POST['marid']]=$_POST['nom'];

			$_SESSION['devol_icbper'][$_POST['catid'].$_POST['marid']]=$_POST['icbper'];

			$_SESSION['devol_catid'][$_POST['catid'].$_POST['marid']]=$_POST['catid'];

			$_SESSION['devol_marid'][$_POST['catid'].$_POST['marid']]=$_POST['marid'];

			$_SESSION['devol_preuni'][$_POST['catid'].$_POST['marid']] = moneda_mysql($_POST['preuni']);

			$data['est'] = 2;

			$data['tipo'] = 'agregado';

		}

		

		

		}

	}

	else

	{

		$data['est'] = 1;

		$data['tipo'] = 'cat_can';

		

	}

	

	echo json_encode($data);

}







if($_POST['action']=='restablecer')

{

	unset($_SESSION['devol_car']);

	unset($_SESSION['devol_valuni']);

	unset($_SESSION['devol_marid']);

	unset($_SESSION['devol_catid']);

}



if($_POST['action']=='quitar')

{

	unset($_SESSION['devol_car'][$_POST['catid']]);

	unset($_SESSION['devol_catid'][$_POST['catid']]);

	unset($_SESSION['devol_marid'][$_POST['catid']]);

	unset($_SESSION['devol_valuni'][$_POST['catid']]);

}





?>